Blocking Internet advertisements

Blocking Internet advertisements copyright 2004 Symantec

When Ad Blocking is enabled, it transparently removes:

  • Ad banners
  • Pop-up and pop-under ads
  • Macromedia Flash-based ads


How Ad Blocking works

How Ad Blocking works copyright 2004 Symantec

Ad Blocking detects and blocks ads based on two criteria: their dimensions and their locations.

Block by dimensions

Most online advertisers use one or more standard sizes for their ads. Ad Blocking includes the ability to block images and other HTML elements that have the same dimensions as these common ad sizes.

Block by location

Every file on the Internet has a unique address or URL (uniform resource locator). When you view a Web page, your computer connects to the address you request and displays the file that is stored there. If the page includes graphics, audio files, and other multimedia content, your browser displays the files as part of the page.

When you go to a Web page that includes an ad, the instructions used to display the page might include the following:

<p>Greetings from the Uninvited Ads company<img src="http://www.uninvitedads.com/nifty_images/image7.gif">

Your browser displays the text Greetings from the Uninvited Ads company on the screen. Then it connects to www.uninvitedads.com and requests a file called
/nifty_images/image7.gif. (The suffix .gif indicates that this is a Graphics Interchange Format file, a common image file format.) The computer at www.uninvitedads.com sends the file to the browser, which displays the image.

When Ad Blocking is enabled and you connect to a Web site, it scans Web pages and compares their contents to two lists:

  • A default list of ads that Ad Blocking blocks automatically. Use LiveUpdate to keep the list of blocked ads current.
  • A list that you create as you block specific ads. You can add to and change this list.

If the page includes files from a blocked domain, Ad Blocking removes the link and downloads the rest of the page.

More Information

Use text strings to identify ads to block or permit
Turn off the advertising filters
Turn off Pop-up Window Blocking
 Keeping current with LiveUpdate
 Turn off Ad Blocking


Use text strings to identify ads to block or permit

Use text strings to identify ads to block or permit copyright 2004 Symantec

You can control whether Ad Blocking displays specific ads by creating a list of text strings that identify individual ad banners. Ad Blocking strings are sections of HTML addresses. If any part of a file's address matches the text string, Ad Blocking automatically blocks the file.

Ad Blocking provides a predefined (Defaults) Ad Blocking list that is used to determine which images should be blocked when displaying Web pages.

When Ad Blocking is enabled, all Web pages are scanned for the HTML strings specified in the (Defaults) list. Ad Blocking looks for the blocked strings within HTML tags that are used to present advertising. The HTML structures that contain matching strings are removed from the page by Ad Blocking before the page appears in the Web browser.

Make sure that what you place in the (Defaults) block list isn't too general. For example, www by itself is not a good string to block because almost every URL includes www. A string like www.uninvitedads is more effective because it only blocks graphics from the uninvitedads domain without affecting other sites.

All users share a single Ad Blocking list. Supervisor and Adult users can make changes to the list. Child and Teenager users cannot make any changes to Ad Blocking settings.

More Information

How Ad Blocking works
How to identify Ad Blocking strings
Add an Ad Blocking string
Modify or remove an Ad Blocking string
Turn off the advertising filters
Turn off Ad Blocking
Turn off Pop-up Window Blocking


How to identify Ad Blocking strings

How to identify Ad Blocking strings copyright 2004 Symantec

The way that you define Ad Blocking strings affects how restrictive or unrestrictive Ad Blocking is when filtering data.

For example, if you add the string uninvitedads.com to the (Defaults) block list, you block everything in the uninvitedads.com domain. If you are more specific and add the string nifty_images/image7.gif to the site-specific block list maintained for www.uninvitedads.com, you block only that particular image.

Blocking all images on a particular site may make that site unusable. A good compromise is to block only the directories that contain ads. For example, if www.uninvitedads.com stores its ads in /nifty_images/ and its navigational images in /useful_images/, you could block www.uninvited.com/nifty_images/ without seriously impeding your ability to use the site.

You can also create permit strings that allow Web sites to display images that match the string. This allows you to override the blocking effect of any string in the (Defaults) block list for individual sites. Permit rules take precedence over Block rules on any site.

More Information


Add an Ad Blocking string

Add an Ad Blocking string copyright 2004 Symantec

You can add strings to the Ad Blocking list for all sites or for individual sites.

To add an Ad Blocking string

  1. In the main window, under Norton AntiSpam, click Status & Settings.
  2. In the System Status pane, double-click Ad Blocking.
  3. In the Ad Blocking window, click Advanced.
  4. On the left side of the Advanced window, do one of the following:
    • To block a string on all Web sites, click (Defaults).
    • To block a string on a Web site in the list, select the site's name.
    • To block a string on a Web site not in the list, click Add Site, then in the New Site/Domain dialog box, type the site's address.
  5. On the Ad Blocking tab, click Add.
  6. In the Add New HTML String dialog box, select the action that you want to take. Your options are:

    Block

    Block ads matching this string.

    Permit

    Allow ads matching this string.

  7. Type an HTML string to block or permit.
  8. Click OK.
  9. When you are done, click OK to close the Advanced window.
  10. Click OK to close the Ad Blocking window.


Modify or remove an Ad Blocking string

Modify or remove an Ad Blocking string copyright 2004 Symantec

If you later decide that an Ad Blocking string is too restrictive, not broad enough, or not appropriate, you can change or remove it.

To modify or remove an Ad Blocking string

  1. In the main window, under Norton AntiSpam, click Status & Settings.
  2. In the System Status pane, double-click Ad Blocking.
  3. In the Ad Blocking window, click Advanced.
  4. In the left side of the Advanced window, do one of the following:
    • To modify or remove a string in the (Defaults) list, click (Defaults).
    • To modify or remove a site-specific string, click the site's name.
  5. In the HTML string list, select the string that you want to change.
  6. Do one of the following:
    • To modify a string, click Modify, then type your changes.
    • To remove a string, click Remove.
  7. When you are done, click OK to close the Advanced window.
  8. Click OK to close the Ad Blocking window.


About Web Contents options

About Web Contents options copyright 2004 Symantec

The Web Contents advanced options let you specify individual ads or groups of ad images that you want to block or allow on individual sites. You can add sites to the list on the left side of the window and text strings to the list on the right side of the window.

To add a site to the list

  1. In the list of Web sites, click Add Site.
  2. In the New Site/Domain dialog box, type the site's address.
  3. Click OK.

To add a text string to the list

  1. In the list of Web sites, do one of the following:
    • To block the string on all sites, click (Defaults).
    • To block or permit the string on a specific site, select the site.
  2. In the list of Ad Blocking text strings, click Add.
  3. In the Add New HTML String dialog box, type the text string.
  4. Click OK.

Use text strings to identify ads to block or permit